<?php


use CurrencyExchangerService\ConvertRequest;
use CurrencyExchangerService\ConvertServiceClient;

class CurrencyConverterClient
{
    public static function convert($hostname, $amount, $from, $to, $precision = 4):\CurrencyExchangerService\ConvertResponse
    {
        $client = new ConvertServiceClient($hostname, [
            'credentials' => \Grpc\ChannelCredentials::createInsecure(),
        ]);
        list($data,$status) = $client->Convert(new ConvertRequest([
            'amount' => $amount,
            'fromCurrency' => $from,
            'toCurrency' => $to,
            'precision' => $precision,
        ]))->wait();

        return $data;
    }
}
